Page MenuHomePhabricator

Move tox-pyspark docker image to Debian Stretch
Closed, ResolvedPublic

Description

@EBernhardson can the tox-pyspark image be moved to Debian Stretch? It's currently using Jessie. It'll come with a newer openjdk among other libraries.

Event Timeline

Legoktm created this task.Dec 20 2018, 7:17 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 20 2018, 7:17 AM
EBjune added a subscriber: EBjune.Dec 20 2018, 4:30 PM

@Legoktm EBernhardson is out through the end of the year, so you probably won't hear back until January.

EBjune added a subscriber: dcausse.Dec 20 2018, 4:31 PM

Yes this can move to stretch

hashar closed this task as Resolved.Mar 18 2019, 2:53 PM
hashar claimed this task.
hashar added a subscriber: hashar.

The Docker container is now based on Stretch and has java 8:

tox-pyspark (0.3.0) wikimedia; urgency=medium

  * Rebuild based on releng/tox:0.3.0
    * update gpg command since we are now using Stretch
    * Switch from Java 7 to Java 8
  * Bump tox from 2.6.0 to 2.9.1 (T196628)

 -- Antoine Musso <hashar@free.fr>  Mon, 14 Jan 2019 11:00:44 +0100

And, from its parent image, it now has python 2.7, 3.4, 3.5, 3.6 and 3.7:

tox (0.2.0) wikimedia; urgency=medium

  * Switch base to Debian Stretch
  * Add Python 3.4, 3.6, 3.7 via component/pyall (T191764)

 -- Kunal Mehta <legoktm@member.fsf.org>  Mon, 17 Dec 2018 23:52:14 -0800